Your API key. Create one in Ocoya. Authorization: Bearer <key> works too.
Get email stats
How an email did: its results, clicks per link, and opens and clicks by hour over its first three days. Rates are out of delivered.
Get email stats
curl --request GET \
--url https://www.app.ocoya.com/api/_public/v1/email/{emailId}/stats \
--header 'X-API-Key: <api-key>'{
"emailId": "<string>",
"summary": {
"recipients": 123,
"sent": 123,
"delivered": 123,
"opened": 123,
"clicked": 123,
"bounced": 123,
"complained": 123,
"unsubscribed": 123,
"failed": 123,
"queued": 123,
"openRate": 123,
"clickRate": 123
},
"links": [
{
"url": "<string>",
"clicks": 123,
"people": 123
}
],
"timeline": [
{
"hour": "<string>",
"opens": 123,
"clicks": 123
}
]
}Authorizations
Was this page helpful?